Name:           gt
Version:        0.4
Release:        %mkrel 6
Summary:        Modified Timidity which supportes enhanced gus format patches
Group:          Sound/Midi
License:        GPLv2+
URL:            http://alsa.opensrc.org/index.php/GusSoundfont
# This is ftp://ling.lll.hawaii.edu/pub/greg/gt-0.4.tar.gz
# with the examples/patch and sfz directories removed as the license of the
# samples in these dirs is unclear. Also the src/ac3* files have been removed
# as these contain patented code.
Source0:        %{name}-%{version}-clean.tar.gz
Patch0:         gt-0.4-noac3.patch
Patch1:         gt-0.4-compile-fix.patch
Patch2:         gt-0.4-optflags.patch
Patch3:         gt-0.4-config-default-velocity-layer.patch
Patch4:         gt-0.4-ppc-compile-fix.patch
Patch5:         gt-0.4-unsf-bigendian-fix.patch
Patch6:         gt-0.4-unsf-tremolo.patch
Patch7:		gt-0.4-parallel.patch
BuildRequires:  alsa-lib-devel libvorbis-devel flex
Requires:       timidity++-patches

%description
Modified timidity midi player which supportes enhanced gus format patches and
surround audio output.


%package -n soundfont-utils
Summary:        Utilities for converting from / to various soundfont formats
Group:          Sound/Editors and Converters

%description -n soundfont-utils
Utilities for converting from / to various soundfont formats and a midi file
disassembler.


%prep
%setup -q
%apply_patches
cp -p src/README README.timidity


%build
export CFLAGS="$RPM_OPT_FLAGS -fsigned-char"
autoreconf -fi
%configure2_5x
%make


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
# rename somewhat genericly named dim to midi-disasm
mv %{buildroot}%{_bindir}/dim %{buildroot}%{_bindir}/midi-disasm
mv %{buildroot}%{_mandir}/man1/dim.1 \
   %{buildroot}%{_mandir}/man1/midi-disasm.1
sed -i 's/dim/midi-disasm/g' %{buildroot}%{_mandir}/man1/midi-disasm.1
touch -r utils/midifile.c %{buildroot}%{_mandir}/man1/midi-disasm.1
 

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog FEATURES NEWS README*
%{_bindir}/gt
%{_mandir}/man1/gt.1*

%files -n soundfont-utils
%doc utils/README* utils/GUSSF2-SPEC
%{_bindir}/*
%exclude %{_bindir}/gt
%{_mandir}/man1/*
%exclude %{_mandir}/man1/gt.1*





%changelog
* Sat Jan 04 2014 pterjan <pterjan> 0.4-6.mga4
+ Revision: 564629
- Add a BuildRequires on flex
- Fix parallel build
- Use configure2_5x
- Don't patch .in, run autoreconf instead

* Fri Oct 18 2013 umeabot <umeabot> 0.4-5.mga4
+ Revision: 505305
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.4-4.mga3
+ Revision: 352776
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 malo <malo> 0.4-3.mga3
+ Revision: 322889
- update RPM group

* Sat Feb 05 2011 ahmad <ahmad> 0.4-2.mga1
+ Revision: 47282
- imported package gt


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.4-2mdv2011.0
+ Revision: 610989
- rebuild

* Thu Jan 28 2010 Emmanuel Andry <eandry@mandriva.org> 0.4-1mdv2010.1
+ Revision: 497773
- import gt


